<inp2:adm_SetPopupSize width="750" height="761"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:user_groups" prefix="g" title_preset="groups_edit" tab_preset="Default"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('g','<inp2:g_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							submit_event('g','OnCancelEdit');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('g', '<inp2:g_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('g', '<inp2:g_NextId/>');
						}
				 ) );

				a_toolbar.Render();

				<inp2:m_if check="g_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="g_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="g_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:g_SaveWarning name="grid_save_warning"/>
<inp2:g_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" prefix="g" fields="GroupId,Name,FrontRegistration,Description,Enabled" title="!la_section_General!"/>
			<inp2:m_RenderElement name="inp_id_label" prefix="g" field="GroupId" title="!la_fld_GroupId!"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="g" field="Name" title="!la_fld_GroupName!"/>
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="g" field="FrontRegistration" title="la_fld_FrontRegistration"/>
			<inp2:m_RenderElement name="inp_edit_textarea" prefix="g" field="Description" title="!la_fld_Comments!" control_options="{max_height: 200}" rows="5" cols="30"/>

			<inp2:m_if check="m_IsDebugMode">
				<inp2:m_RenderElement name="inp_edit_radio" prefix="g" field="Enabled" title="!la_fld_Enabled!"/>
			</inp2:m_if>

			<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>